/**
 *  @author: 前端组 - jon
 *  @time: 2022-05-09 11:35
 *  @description: 项目基本变量
 * */

export const IS_DEV: boolean = import.meta.env.MODE === 'development';

export enum MODEL_TYPE {
  ADD = 1, // 分运单补录或者是新增
  EDIT,
  DETAIL,
  MAIN_ADD, // 新增主运单
}

export enum LOGIN_TYPE {
  PASSWORD = 1,
  TEXT_MESSAGE,
  WEI_XIN,
}

// 在 columns 中指定 fixed: 'left' 或 fixed: 'right'，可将列固定到左侧或右侧。设置了 fixed 的列必须设置 width 指定列的宽度。
// 注意：要配合 :scroll="{ x: number }" 使用。此外 columns 中至少需要有一列不设置宽度，自适应，不然会有样式问题。

export enum COLUMNS_WIDTH {
  XS = 80,
  SM = 100,
  BASE = 120,
  LG = 150,
  XL = 180,
  TXL = 210,
}

export const TABLE_TOOLTIP = true;

export const TABLE_ELLIPSIS = true;
