export enum PART_SEE {
  ALL = '0',
  PART = '1',
  SELECTED = '2',
}

export enum MESSAGE_TYPE {
  SYSTEM = '1',
  BILL = '2',
  CONFIRM = '3',
}

export enum READ_TYPE {
  NO = 0,
  YES,
}

export const PART_SEE_MAP = {
  [PART_SEE.ALL]: '公开',
  [PART_SEE.PART]: '选择企业类型',
  [PART_SEE.SELECTED]: '选择目标企业',
};

export const MESSAGE_TYPE_MAP = {
  [MESSAGE_TYPE.SYSTEM]: '消息',
  [MESSAGE_TYPE.BILL]: '账单类型',
  [MESSAGE_TYPE.CONFIRM]: '确认提醒',
};

export const READ_TYPE_MAP = {
  [READ_TYPE.NO]: '未读',
  [READ_TYPE.YES]: '已读',
};
