export default {
  path: '/arrival',
  component: () => import('@/layout/page-layout.vue'),
  meta: {
    title: '国际进港',
    slotIcon: 'arrival',
    sort: 2,
  },
  children: [
    {
      path: '/arrival/pickup-appointment',
      name: 'pickupAppointment',
      component: () => import('@/views/arrival/pickupAppointment/index.vue'),
      meta: {
        title: '提货预约',
      },
    },
    {
      path: '/arrival/bill-confirm',
      name: 'arrivalBillConfirm',
      component: () => import('@/views/arrival/billConfirm/index.vue'),
      meta: {
        title: '进港账单确认',
      },
    },
    // {
    //   path: '/in-port/special-fee-confirm',
    //   name: 'inSpecialConfirm',
    //   component: () =>
    //     import('@/views/leavePort/specialConfirmation/index.vue'),
    //   meta: {
    //     title: '特殊费用确认',
    //   },
    // },
  ],
};
