import BaseApi from '@/api/base/BaseApi';

class CurrentPageApi extends BaseApi {
  constructor() {
    super({
      baseUrl: '/inveh',
    });
  }

  page(data: any) {
    return super.customizePost('/list', data);
  }

  get(data: any) {
    return super.customizePost(`/detail`, data);
  }

  add(data: any) {
    return super.customizePost('/add', data);
  }

  update(data: any) {
    return super.customizePost(`/update`, data);
  }

  del(id: string | number) {
    return super.customizePost(`/delete`, { id });
  }

  getObtainAwb(data: any) {
    return super.customizePost(`/obtainAwb`, data);
  }

  getAwb(data: any) {
    return super.customizePost(`/awb/detail`, data);
  }
}

export default new CurrentPageApi();
