import BaseApi from '@/api/base/BaseApi';

class UserApi extends BaseApi {
  constructor() {
    super({
      baseUrl: '/ucenter/user',
    });
  }

  add(data: any) {
    return super.customizePost('/add', data);
  }

  update(data: any) {
    return super.customizePost(`/update/${data.userId}`, data);
  }

  del(id: string) {
    return super.customizePost(`/delete/${id}`);
  }

  updateUserPwd(data: any) {
    return super.customizePut('/resetPasswd', data);
  }
}

export default new UserApi();
