import BaseApi from '@/api/base/BaseApi';
import type { ResponseData } from '@/api/request/index.d';

class CurrentPageApi extends BaseApi {
  constructor() {
    super({
      baseUrl: 'message/my',
    });
  }

  read(data: any) {
    return super.customizePut('/read', data);
  }

  delSelected(data: any) {
    return super.customizePut('/delete', data);
  }
}

export default new CurrentPageApi();
