const _ = require('lodash');

const notEmpty = (name) => (v) =>
  !v || v.trim() === '' ? `${name} is required` : true;

const upperCamelCase = (text) => _.upperFirst(_.camelCase(text));

module.exports = {
  notEmpty,
  upperCamelCase,
};
