import BaseApi from '@/api/base/BaseApi';
import type { ResponseData } from '@/api/request/index.d';

class AuthApi extends BaseApi {
  constructor() {
    super({
      baseUrl: '',
    });
  }

  logout() {
    return super.customizePost('/logout');
  }

  updatePassword(data: any) {
    return super.customizePut('/ucenter/user/updatePasswd', data);
  }

  resetPassword(data?: any): Promise<ResponseData<any>> {
    return super.customizePost('/resetPassword', data);
  }

  getConfig(): Promise<ResponseData<any>> {
    return super.customizeGet('/local/config');
  }
}

export default new AuthApi();
