interface TableColumnScope {
  record: Record<string, any>;
  column: Record<string, any>;
  rowIndex: number;
}

export default function useTableIndex(
  columns: Record<string, any>[],
  options = {}
) {
  return [
    {
      title: '序号',
      render(scope: TableColumnScope) {
        return scope.rowIndex + 1;
      },
      width: 60,
      ...options,
    },
    ...columns,
  ];
}
