import { mergeLocales } from './helper';

const locale: Record<string, string> = {
  'menu.dashboard': 'Dashboard',
  'menu.list': 'List',
  'menu.result': 'Result',
  'menu.exception': 'Exception',
  'menu.form': 'Form',
  'menu.profile': 'Profile',
  'menu.visualization': 'Data Visualization',
  'menu.user': 'User Center',
  'navbar.docs': 'Docs',
  'navbar.action.locale': 'Switch to English',
};

export default mergeLocales(
  locale,
  import.meta.globEager('../views/**/locale/en-US.ts'),
  import.meta.globEager('../components/**/locale/en-US.ts'),
  import.meta.globEager('./en-US/*.ts')
);
