const mergeLocales = (
  locale: Record<string, string>,
  ...langList: any[]
): Record<string, string> => {
  langList.forEach((langs) => {
    Object.keys(langs).forEach((key) => {
      const lang = langs[key].default;
      Object.keys(lang).forEach((k) => {
        locale[k] = lang[k];
      });
    });
  });
  return locale;
};

export { mergeLocales };

export default {};
