import { mergeLocales } from './helper';

const locale: Record<string, string> = {
  'menu.dashboard': '仪表盘',
  'menu.list': '列表页',
  'menu.result': '结果页',
  'menu.exception': '异常页',
  'menu.form': '表单页',
  'menu.profile': '详情页',
  'menu.visualization': '数据可视化',
  'menu.user': '个人中心',
  'navbar.docs': '文档中心',
  'navbar.action.locale': '切换为中文',
};

export default mergeLocales(
  locale,
  import.meta.globEager('../views/**/locale/zh-CN.ts'),
  import.meta.globEager('../components/**/locale/zh-CN.ts'),
  import.meta.globEager('./zh-CN/*.ts')
);
