export default {
  path: '/departure',
  component: () => import('@/layout/page-layout.vue'),
  meta: {
    title: '国际出港',
    slotIcon: 'departure',
    sort: 1,
  },
  children: [
    {
      path: '/departure/waybill-manage',
      name: 'waybillManage',
      component: () => import('@/views/departure/waybillManage/index.vue'),
      meta: {
        title: '运单管理',
      },
    },
    {
      path: '/departure/bill-confirm',
      name: 'departureBillConfirm',
      component: () => import('@/views/departure/billConfirm/index.vue'),
      meta: {
        title: '出港账单确认',
      },
    },
    // {
    //   path: '/departure/special-fee-confirm',
    //   name: 'specialFeeConfirm',
    //   component: () =>
    //     import('@/views/leavePort/specialFeeConfirm/index.vue'),
    //   meta: {
    //     title: '特殊费用确认',
    //   },
    // },
  ],
};
