import { createPinia } from 'pinia';
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate';
import useAppStore from './modules/app';
import useUserStore from './modules/user';
import useWaybillStore from './modules/waybill';

const pinia = createPinia();
// 持久化插件
pinia.use(piniaPluginPersistedstate);

export { useAppStore, useUserStore, useWaybillStore };
export default pinia;
