import BaseApi from '@/api/base/BaseApi';

class CompanyApi extends BaseApi {
  constructor() {
    super({
      baseUrl: '/platform/tenant',
    });
  }

  add(id?: any) {
    return super.customizePost(`/create`);
  }

  update(data: any) {
    return super.customizePut(`/update`, data);
  }

  query(data: any) {
    return super.customizeGet(`/query`, data);
  }
}

export default new CompanyApi();
