import BaseApi from '../../../../api/base/BaseApi';

class MenuApi extends BaseApi {
  constructor() {
    super({
      baseUrl: '/ucenter/menu',
    });
  }

  menuTree(data = {}) {
    return super.customizeGet('/treeselect', data);
  }

  menuList(data = {}) {
    return super.customizeGet('/list', data);
  }

  del(id: string | number) {
    return super.customizePost(`/delete/${id}`);
  }

  update(data: any) {
    return super.customizePost(`/update`, data);
  }

  add(data: any) {
    return super.customizePost('/create', data);
  }
}

export default new MenuApi();
